DLX 11 is a rework of Luxur originally made by Xarc.
Fun fact: the letters in the name - DLX, stand for Deluxe as it is supposed to be a luxury car

skin by me
bodywork and hull by burner94
params by Saffron

Have fun!